#!/bin/sh

PGOPTIONS='-c default_statistics_target=1'
export PGOPTIONS
echo 'Generating minimal optimizer statistics (1 target)'
echo '--------------------------------------------------'
vacuumdb --all --analyze-only
echo
echo 'The server is now available with minimal optimizer statistics.'
echo 'Query performance will be optimal once this script completes.'
echo

PGOPTIONS='-c default_statistics_target=10'
echo 'Generating medium optimizer statistics (10 targets)'
echo '---------------------------------------------------'
vacuumdb --all --analyze-only
echo

unset PGOPTIONS
echo 'Generating default (full) optimizer statistics (100 targets?)'
echo '-------------------------------------------------------------'
vacuumdb --all --analyze-only
echo

echo 'Done'
